:root {
  --white: #fff;
  --black: #1e1e1e;
  --copy: #001c2d;
  --orange: #ff5000;
}

a {
  text-decoration: none;
  color: inherit;
}

header {
  margin: 25px 0;
  &:has(.sub-menu.Open) {
    color: var(--white);
    .Logo {
      & svg path {
        fill: var(--white);
      }
    }
  }
  .Logo {
    position: relative;
    z-index: 20;
    & svg .Colourable path {
      transition: fill ease-in 0.3s;
    }
    &:hover {
      & svg .Colourable path {
        fill: var(--orange);
      }
    }
  }
  .btn {
    position: relative;
    z-index: 20;
  }
  .menu-main-menu-container {
    & ul {
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 20px;
      padding: 0px;
      margin: 0;
      & > li > a {
        position: relative;
        z-index: 20;
        transition: color ease-in 0.5s;
      }
    }
    & li {
      list-style: none;
      padding: 10px 20px;
      & ul.sub-menu {
        height: 50vh;
        width: 100%;
        flex-direction: column;
        align-items: flex-start;
        position: absolute;
        top: -50vh;
        left: 0;
        background: var(--black);
        color: var(--white);
        opacity: 1;
        gap: 5px;
        padding: 0 20px;
        transition:
          top ease-in 0.5s,
          opacity ease-in 0.6s;
        z-index: 15;
        &.Open {
          top: 0;
          opacity: 1;
        }
        & .SocialColumn {
          & ul {
            flex-direction: column;
            & li {
              float: left;
            }
          }
        }
        & li {
          padding: 5px 20px;
        }
      }
    }
  }
}

.flexItem {
  display: flex;
  justify-content: center;
  align-self: center;
}

.postTitle {
  max-height: 100px;
  margin: 2rem;
}

h3 {
  color: var(--copy);
  &.main_tagline {
    font-size: 40px;
  }
  &.global_brands {
    font-size: 28px;
    max-width: 40%;
  }
  &.take_it_to_the_bank {
    font-size: 128px;
    text-transform: uppercase;
    span {
      font-weight: bold;
    }
  }
}

main {
  margin: 20px 0;
  & .MainContent {
    & > section {
      margin-bottom: 60px;
      &:last-child {
        margin-bottom: 40px;
      }
      div[data-type="text"] {
        display: flex;
        & .Quote {
          font-size: 128px;
          line-height: 100px;
          margin-right: 20px;
        }
        & .Line {
          display: block;
          height: 100%;
          width: 2px;
          background: #001c2d;
          margin-right: 20px;
          position: relative;
          &:before {
            content: "";
            display: block;
            width: 5px;
            height: 40px;
            position: absolute;
            top: 0;
            left: -2px;
            background: #001c2d;
          }
        }
        & .Content {
        }
      }
      div[data-type="slider"] {
        & .hover {
          & .SlideContent {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
          }
        }
      }
    }
  }
}

footer {
  background: var(--black);
  color: var(--white);

  h5 {
    font-size: 18px;
    text-transform: uppercase;
  }

  a {
    color: var(--white);
    text-decoration: none;
  }

  ul {
    list-style: none;
    padding-left: 0;
  }

  .footer-bottom {
    border-top: 1px solid var(--white);
    font-size: 14px;
  }

  .menuInline {
    text-align: right;

    li {
      display: inline;

      &:first-child {
        margin-right: 1rem;
      }

      a {
        text-decoration: underline;
      }
    }
  }

  .menu-footer-primary-container {
    columns: 2;
  }
}

@media (max-width: 991px) {
  footer {
    .footer-bottom {
      text-align: center;
    }
    .menuInline {
      padding-top: 1rem;
      text-align: center;
    }
  }
}
